Subject: [manet-dlep-rg] Fwd: DLEP BoF or Informal Meeting

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Wed, 4 Sep 2013 19:21:51 +0000

Sorry - this wound up off-list. Putting it back on.

Stan

Begin forwarded message:

From: Stan Ratliff <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet-dlep-rg] DLEP BoF or Informal Meeting
Date: September 4, 2013 3:12:49 PM EDT
To: "Cheng, Bow-Nan - 0665 - MITLL" <[email-masked]<mailto:[email-masked]>>

On Sep 4, 2013, at 2:41 PM, "Cheng, Bow-Nan - 0665 - MITLL" <[email-masked]<mailto:[email-masked]>>
 wrote:

Hi Stan,

Sorry I didn't mean it as "wait till Vancouver".. I'm hopeful many of these things will be hashed out by then as well. Just wanted to see if there was any interest for additional discussion  during Vancouver (if there's still open topics/questions) to determine whether to push (our management) to attend or not.

I agree on coming up with a common consensus of metrics (and whether we need to define these for single or multi-hop networks)

My vote is that we define them for both single and multi-hop networks, with the proviso mentioned in an earlier thread - it's incumbent on a multi-hop radio mesh to provide *end-to-end* metrics.

A few other interesting items (that might or might not be relevant):

  1.  Flow control + multiple radio queues – The more I'm thinking about this, it might warrant a companion draft instead of pushing this into the DLEP spec.. Its mainly since we don't have a good feel what the best approach is. We're implementing a few things and will do a bake-off, but that will take some time.

Reading your email about queueing and credits confused me, I'll admit… :-)  My main question is are you recommending some number of queues (5, 6, maybe more?) *per router interface*, or if the queueing is *per traffic classification per neighbor*. The former would represent an architectural mis-match; the latter is complex, but doable.

  1.  Multicast and multicast metrics – there's been a few ideas out there, hopefully we can come to a consensus on this one

Since MCAST would be represented by a "neighbor", the radio would need to discriminate and hand the common metric set (currently MDR CDR Latency Resources RLQ) to the router. It's up to the radio to determine what (for instance) the "Maximum Data Rate" is for MCAST. For example, an 802.11 radio would report base data rate as the MCAST "MDR/CDR".

  1.  Metrics per queue — someone brought this up and its not something we've thought about..

You mean metrics per flow control queue? If so, my answer would be no. Not only would that be difficult to compute; I can't see a routing protocol using it. If I've misunderstood, please advise.

  1.  Forward metrics – We've so far described a lot of radio-to-router metrics.. But what about the router request stuff? Is there things other than latency and rate that the router can/should request from the radio?

Good question. I can't think of anything other than bandwidth and latency. But there may be something else out there. Other opinions?

regards,
Stan

Just some thoughts..

-Bow-Nan

From: "Stan Ratliff (sratliff)" <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, September 4, 2013 2:06 PM
To: Bow-Nan Cheng <[email-masked]<mailto:[email-masked]>>
Subject: Re: [manet-dlep-rg] DLEP BoF or Informal Meeting

Bow-Nan,

Ouch. My hope was that we could make progress before Vancouver…

At this point, I think we have a decent list of metrics available from different radio types. I think we need to come to consensus about a common set of metrics, that can be used as a minimum base for DLEP. Also, there's been discussion about:
- Credits/Queueing
- Messages that do (or do not) need acknowledgement.

Is there anything I'm missing?

Regards,
Stan

Hi everyone,

I was wondering if there might be any interest for the DT (perhaps outside the MANET WG) to gather together at the next IETF in Vancouver to hash out some of the items discussed on the list. We might've resolved some of them already, but sometime face-to-face is easier to draw and describe things.

I guess at a minimum, who is planning on attending the next IETF in Vancouver?

Thanks!
_______________________________________________
manet-dlep-rg mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet-dlep-rg